POST api/v1/emails
Request Information
URI Parameters
None.
Body Parameters
ApiEmailModel| Name | Description | Type | Additional information |
|---|---|---|---|
| MailerName | string |
None. |
|
| ViewName | string |
None. |
|
| EmailData | Dictionary of string [key] and Object [value] |
None. |
|
| FromEmail | string |
None. |
|
| FromDisplayName | string |
None. |
|
| ToEmail | string |
None. |
|
| Subject | string |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"mailerName": "sample string 1",
"viewName": "sample string 2",
"emailData": {
"sample string 1": {},
"sample string 3": {}
},
"fromEmail": "sample string 3",
"fromDisplayName": "sample string 4",
"toEmail": "sample string 5",
"subject": "sample string 6"
}
application/xml, text/xml
Sample:
<ApiEmailModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models">
<EmailData xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringanyType>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value />
</d2p1:KeyValueOfstringanyType>
<d2p1:KeyValueOfstringanyType>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value />
</d2p1:KeyValueOfstringanyType>
</EmailData>
<FromDisplayName>sample string 4</FromDisplayName>
<FromEmail>sample string 3</FromEmail>
<MailerName>sample string 1</MailerName>
<Subject>sample string 6</Subject>
<ToEmail>sample string 5</ToEmail>
<ViewName>sample string 2</ViewName>
</ApiEmailModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, text/html
Sample:
Sample not available.